EZ_AddWidgetCallBack(3)

NAME
EZ_AddIdleCallBack,EZ_RemoveIdleCallBack, EZ_RemoveAllIdleCallBacks - register/remove idle callbacks

SYNOPSIS
#include <EZ.h>

void EZ_AddIdleCallBack( EZ_CallBack callback, void *clientdata)
void EZ_RemoveIdleCallBack( EZ_CallBack callback, void *clientdata)
void EZ_RemoveAllIdleCallBacks( )

ARGUMENTS
callback Specifies a callback.

clientdata Specifies an clientdata to be passed to the callback.

DESCRIPTION

An callback is a procedure of the following prototype:

    void (* callback)(void *object, void *data)

EZ_AddIdleCallBack registers an idle callback. Idle callbacks are executed when there are no user events to process.

EZ_RemoveIdleCallBack deletes an idle callback. The specified callback will be deleted only if both the procedure and the client data match.

EZ_RemoveAllCallBacks deletes all idle callbacks.

SEE ALSO
EZ_ExecuteIdleCallBacks(3)
EZ_AddWidgetCallBack(3)
EZ_AddEventHandler(3)